<!DOCTYPE html>
<html ng-app="app">
<head>
    <title>Página de Pesquisa</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.3/css/bulma.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/angularjs-slider/6.5.0/rzslider.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/angularjs-slider/6.5.0/rzslider.min.js"></script>
</head>
<body ng-controller="MainController" class="has-navbar-fixed-top">
    <nav class="navbar is-dark is-fixed-top" role="navigation" aria-label="main navigation">
        <div class="navbar-brand">
            <a class="navbar-item" href="#">
                <h2 class="has-text-white">Barra de Navegação</h2>
            </a>
        </div>
    </nav>

    <section class="section filters-section">
        <div class="container">
            <h2 class="title">Filtros de Pesquisa</h2>
            <div class="columns">
                <div class="column is-half">
                    <div class="field">
                        <label class="label">Pesquisa</label>
                        <div class="control">
                            <input class="input" type="text" ng-model="filters.searchTerm" placeholder="Pesquisa">
                        </div>
                    </div>
                </div>
                <div class="column is-half">
                    <div class="field">
                        <label class="label">Categoria</label>
                        <div class="control">
                            <div class="select">
                                <select ng-model="filters.category" ng-options="category for category in categories">
                                    <option value="">Selecione uma categoria</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="columns">
                <div class="column is-half">
                    <div class="field">
                        <label class="label">Valor</label>
                        <div class="control">
                            <rzslider
                                rz-slider-model="filters.minValue"
                                rz-slider-options="minMaxSliderOptions"></rzslider>
                        </div>
                    </div>
                </div>
            </div>

            <div class="field">
                <div class="control">
                    <button class="button is-success" ng-click="search()">Pesquisar</button>
                </div>
            </div>
        </div>
    </section>

    <section class="section list-section">
        <div class="container">
            <h2 class="title">Lista de Itens</h2>
            <div class="columns is-multiline">
                <div class="column is-one-third" ng-repeat="item in items">
                    <div class="card">
                        <div class="card-content">
                            <p><strong>Nome:</strong> {{ item.name }}</p>
                            <p><strong>Categoria:</strong> {{ item.category }}</p>
                            <p><strong>Valor:</strong> {{ item.value }}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <script>
       var app = angular.module('app', ['rzModule']);

app.controller('MainController', function ($scope) {
    $scope.filters = {
        searchTerm: '',
        category: '',
        minValue: "R$" + 0,
        maxValue: "R$" + 10.000
    };

    $scope.items = [
        { name: 'Item 1', category: 'Category A', value: "RS" + " " +  50 + "," + 90 },
        { name: 'Item 2', category: 'Category B', value: 30 },
        { name: 'Item 3', category: 'Category A', value: 70 },
        { name: 'Item 4', category: 'Category C', value: 40 },
    ];

    $scope.categories = ['Category A', 'Category B', 'Category C', 'Category D'];

    $scope.search = function () {
        console.log('Search clicked:', $scope.filters);
        // Implement your search logic here based on the filters
    };

    $scope.minMaxSliderOptions = {
                floor: 0,
                ceil: 10000,
                translate: function(value) {
                    return 'R$' + value;
                }
            };
});
    </script>
</body>
</html>
